noinst_LIBRARIES=librc4.a
TESTS=rc4test
EXTRA_PROGRAMS=rc4 rc4test
INCLUDES=-I$(top_srcdir)/crypto

rc4_SOURCES=rc4.c
rc4_LDFLAGS=-L$(top_builddir)/crypto
rc4_LDADD=-lcrypto
rc4_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

rc4test_SOURCES=rc4test.c
rc4test_LDFLAGS=-L$(top_builddir)/crypto
rc4test_LDADD=-lcrypto
rc4test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

librc4_a_SOURCES=rc4_enc.c

EXTRA_DIST=Makefile.ssl rc4.h rc4.org rc4_enc.org rrc4.doc

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
